# Research Projects on AI and Data

This repository contains reports from various research projects focusing on Artificial Intelligence and Data Science. The reports cover a range of topics, from applying machine learning to battery performance to developing data management systems and using AI for electronic circuit diagnostics.  
**Please note that the paper was translated to English from French for sharing purposes. All the original work was done in French.**

## Reports
*   **1- AI for Integrated Electronic Circuit Diagnostics (May 2023)**

    *   **Abstract:** This research project explores using artificial intelligence for fault diagnosis in integrated electronic circuits. It specifically focuses on applying machine learning models based on convolutional neural networks. The industrial goal is to identify the position and nature of faults from a series of tests on a faulty circuit, especially intermittent faults, which are not addressed by current industrial tools. This study proposes a fault diagnosis method using convolutional neural networks that accounts for intermittent faults and evaluates the models' performance against standard industrial diagnostic tools.

*   **2- Data Science for Electric Battery Performance (August 2023)**

    *   **Abstract:** This report details an internship project within the Materials Center of Excellence (CoE) that explored using machine learning algorithms to simulate battery performance. The project aimed to identify new business opportunities for Hexagon through battery innovation. This exploratory phase focused on research using available databases. The report summarizes the approach, challenges, simulation results, and their potential implications. The incubation studies suggest the viability of using AI and machine learning for battery performance research at Hexagon. The simulations show promise as a cost-effective way to test innovative concepts for advanced battery materials.

*   **3- Data Management: Blue Jeans Factory (December 20, 2024)**

    *   **Description:** This project focuses on creating a data management system and a Streamlit application for "Cotton Blue," a jeans manufacturing plant. The system manages data related to production and workday employees, including their activities, production numbers, salaries, attendance, and bonuses. The project addresses specific business rules related to late arrivals, overtime, and annual bonuses.


*   **4- Data-Driven Methods for PE and VC (June 2023)**

    *   **Description:** This project investigates how web scraping and data enrichment techniques can improve the efficiency and scope of startup sourcing and evaluation for Private Equity (PE) and Venture Capital (VC) firms, overcoming the limitations of traditional, manual methods.

## Usage

Each report is contained within its own directory (or file). You can navigate to the specific report you are interested in to view the full document.
